import Vue from "vue";
import VueRouter from "vue-router";
Vue.use(VueRouter);

const routes = [
	{
		path:'/',
		name:'Login',
		meta: {
			title: '冷链验证报告管理系统线上版本',
		},
		component: () => import('@/views/login/login.vue')
	},
	{
		path:'/index',
		name:'index',
		meta: {
			title: '首页',
		},
		component: () => import('@/views/layout/index/index.vue'),
		children: [{
			path: '/home',
			name: 'home',
			component: () => import('@/views/home/home.vue'),
			meta: {
				title: '工作首页',
			},
		},{
			path: '/test',
			name: 'test',
			component: () => import('@/views/test/test.vue'),
			meta: {
				title: '测试服务',
			},
		},{
			path: '/Contact',
			name: 'Contact',
			component: () => import('@/views/Contact/Contact.vue'),
			meta: {
				title: '联系我们',
			},
		},]
	}
]

const router = new VueRouter({
	mode: "history",//hash
	base: process.env.BASE_URL,
	routes,
});

export default router;